<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-674"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20ScrollTabViewController%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: ScrollTabViewController类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_scroll_tab_view_controller.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> |
<a href="interface_scroll_tab_view_controller-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">ScrollTabViewController类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_scroll_tab_view_controller_8h_source.html">ScrollTabViewController.h</a>&gt;</code></p>
<div class="dynheader">
类 ScrollTabViewController 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_scroll_tab_view_controller.png" usemap="#ScrollTabViewController_map" alt=""/>
  <map id="ScrollTabViewController_map" name="ScrollTabViewController_map">
<area href="interface_base_view_controller.html" alt="BaseViewController" shape="rect" coords="0,56,162,80"/>
<area href="protocol_x_h_x_tabbar_delegate-p.html" alt="&lt;XHXTabbarDelegate&gt;" shape="rect" coords="344,56,506,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a6b46e5a956d4201e6e542c379c18e22b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_k_o_tab_bar.html">KOTabBar</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">topTabBar</a></td></tr>
<tr class="memdesc:a6b46e5a956d4201e6e542c379c18e22b"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">顶部的选项栏  <a href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">更多...</a><br/></td></tr>
<tr class="separator:a6b46e5a956d4201e6e542c379c18e22b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a23d94df873cb56b9004561d241a5e316"><td class="memItemLeft" align="right" valign="top">CKBannerView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a></td></tr>
<tr class="memdesc:a23d94df873cb56b9004561d241a5e316"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">分页滚动容器视图  <a href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">更多...</a><br/></td></tr>
<tr class="separator:a23d94df873cb56b9004561d241a5e316"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a88aadb588ced05d7fc0eb1465d337297"><td class="memItemLeft" align="right" valign="top">NSArray *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a></td></tr>
<tr class="memdesc:a88aadb588ced05d7fc0eb1465d337297"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">所有的分页视图控制器  <a href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">更多...</a><br/></td></tr>
<tr class="separator:a88aadb588ced05d7fc0eb1465d337297"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a22d7d670757e82244e2df66a0b5f2bce"><td class="memItemLeft" align="right" valign="top">NSInteger&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_scroll_tab_view_controller.html#a22d7d670757e82244e2df66a0b5f2bce">initialTabIndex</a></td></tr>
<tr class="memdesc:a22d7d670757e82244e2df66a0b5f2bce"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">初始化选中的索引（默认为0）  <a href="interface_scroll_tab_view_controller.html#a22d7d670757e82244e2df66a0b5f2bce">更多...</a><br/></td></tr>
<tr class="separator:a22d7d670757e82244e2df66a0b5f2bce"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
额外继承的成员函数</h2></td></tr>
<tr class="inherit_header pub_methods_interface_base_view_controller"><td colspan="2" onclick="javascript:toggleInherit(&#39;pub_methods_interface_base_view_controller&#39;)"><img src="closed.png" alt="-"/>&nbsp;构造函数 继承自 <a class="el" href="interface_base_view_controller.html">BaseViewController</a></td></tr>
<tr class="memitem:a5d404912efe102f041e4a9dc367b5c79 inherit pub_methods_interface_base_view_controller"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_base_view_controller.html#a5d404912efe102f041e4a9dc367b5c79">goBack</a></td></tr>
<tr class="separator:a5d404912efe102f041e4a9dc367b5c79 inherit pub_methods_interface_base_view_controller"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="inherit_header pub_methods_protocol_x_h_x_tabbar_delegate-p"><td colspan="2" onclick="javascript:toggleInherit(&#39;pub_methods_protocol_x_h_x_tabbar_delegate-p&#39;)"><img src="closed.png" alt="-"/>&nbsp;构造函数 继承自 <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html">&lt;XHXTabbarDelegate&gt;</a></td></tr>
<tr class="memitem:a953ab7d523564308305c7dac0d5ce4f5 inherit pub_methods_protocol_x_h_x_tabbar_delegate-p"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html#a953ab7d523564308305c7dac0d5ce4f5">tabbar:shouldSelectedItemAtIndex:</a></td></tr>
<tr class="separator:a953ab7d523564308305c7dac0d5ce4f5 inherit pub_methods_protocol_x_h_x_tabbar_delegate-p"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a43b085ce53e2730b9e3b3de3f13174ed inherit pub_methods_protocol_x_h_x_tabbar_delegate-p"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html#a43b085ce53e2730b9e3b3de3f13174ed">tabbar:willSelectItemAtIndex:</a></td></tr>
<tr class="separator:a43b085ce53e2730b9e3b3de3f13174ed inherit pub_methods_protocol_x_h_x_tabbar_delegate-p"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a349533789e473beddd2d9b2d164582b2 inherit pub_methods_protocol_x_h_x_tabbar_delegate-p"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html#a349533789e473beddd2d9b2d164582b2">tabbar:didSelectedItemAtIndex:</a></td></tr>
<tr class="separator:a349533789e473beddd2d9b2d164582b2 inherit pub_methods_protocol_x_h_x_tabbar_delegate-p"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">属性说明</h2>
<a id="a22d7d670757e82244e2df66a0b5f2bce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d7d670757e82244e2df66a0b5f2bce">◆&nbsp;</a></span>initialTabIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSInteger) initialTabIndex</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>初始化选中的索引（默认为0） </p>

</div>
</div>
<a id="a23d94df873cb56b9004561d241a5e316"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23d94df873cb56b9004561d241a5e316">◆&nbsp;</a></span>scrollView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CKBannerView *) scrollView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>分页滚动容器视图 </p>

</div>
</div>
<a id="a6b46e5a956d4201e6e542c379c18e22b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b46e5a956d4201e6e542c379c18e22b">◆&nbsp;</a></span>topTabBar</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (<a class="el" href="interface_k_o_tab_bar.html">KOTabBar</a> *) topTabBar</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>顶部的选项栏 </p>

</div>
</div>
<a id="a88aadb588ced05d7fc0eb1465d337297"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88aadb588ced05d7fc0eb1465d337297">◆&nbsp;</a></span>viewControllers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSArray*) viewControllers</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>所有的分页视图控制器 </p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Controller/<a class="el" href="_scroll_tab_view_controller_8h_source.html">ScrollTabViewController.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Controller/<a class="el" href="_scroll_tab_view_controller_8m.html">ScrollTabViewController.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>